Skip to main content
GET
List Proxmox VE storages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

credential_id
string<uuid>
required

The credential to read the catalog with.

node
string
required

The Proxmox VE node to read, from the nodes catalog.

Response

Successful response

storage
string
required

The storage ID, e.g. local-lvm.

type
string
required

The storage type, e.g. lvmthin, zfspool, nfs.

content
string[]
required

The content types the storage accepts, e.g. images, rootdir.

active
boolean
required
shared
boolean
required
available_bytes
integer<int64>
required
total_bytes
integer<int64>
required